[Pkg-ocaml-maint-commits] r6334 - /trunk/projects/git-guide/d-o-m-mrconfig.sh

dogguy-guest at users.alioth.debian.org dogguy-guest at users.alioth.debian.org
Mon Mar 16 14:23:37 UTC 2009


Author: dogguy-guest
Date: Mon Mar 16 14:23:36 2009
New Revision: 6334

URL: http://svn.debian.org/wsvn/?sc=1&rev=6334
Log:
Checking for git migartions when update

Modified:
    trunk/projects/git-guide/d-o-m-mrconfig.sh

Modified: trunk/projects/git-guide/d-o-m-mrconfig.sh
URL: http://svn.debian.org/wsvn/trunk/projects/git-guide/d-o-m-mrconfig.sh?rev=6334&op=diff
==============================================================================
--- trunk/projects/git-guide/d-o-m-mrconfig.sh (original)
+++ trunk/projects/git-guide/d-o-m-mrconfig.sh Mon Mar 16 14:23:36 2009
@@ -45,14 +45,16 @@
       git_checkout () {
         git clone git+ssh://git.debian.org$GIT_REPODIR\$1.git &&
         cd \$1 &&
-        git branch --track upstream remotes/origin/upstream &&
-        git branch --track pristine-tar remotes/origin/pristine-tar
+        { git branch --track upstream remotes/origin/upstream || true; } &&
+        { git branch --track pristine-tar remotes/origin/pristine-tar || true; }
       }
       svn_checkout () {
         svn co $SVN_REPODIR/\$1
       }
-      migration_check () {
-        if [ ! -d .git ]; then
+      update_check () {
+        if [ -d .git ]; then
+          git pull
+        else
           svn update
           if [ -f \"trunk/README\" ] && [[ \"\`cat trunk/README\`\" =~ \"This package has moved\" ]]; then       
             cd ..
@@ -61,8 +63,6 @@
             msg \"Checkout new git repository\"
             git_checkout \$1
           fi
-        else
-          msg \"Nothing to do here.\"
         fi
       }
 "
@@ -71,7 +71,7 @@
 for i in $GIT_PKGS; do
     output "[packages/$i]
 checkout = git_checkout $i
-check = migration_check $i
+update = update_check $i
 "
 done
 
@@ -79,7 +79,7 @@
 for i in $SVN_REMAINING_PKGS; do
     output "[packages/$i]
 checkout = svn_checkout packages/$i
-check = migration_check $i
+update = update_check $i
 "
 done
 
@@ -101,4 +101,4 @@
 fi
 
 # Finish
-msg "all done, enjoy: mr -c $OUTPUT [checkout,update,check,...]"
+msg "all done, enjoy: mr -c $OUTPUT [checkout,update,...]"




More information about the Pkg-ocaml-maint-commits mailing list